SDL_hid_init(3)

NAME
SDL_hid_init - Initialize the HIDAPI library.

SYNOPSIS
#include <SDL3/SDL_hidapi.h>

int SDL_hid_init(void);

DESCRIPTION
This function initializes the HIDAPI library. Calling it is not strictly necessary, as it will be called automatically by SDL_hid_enumerate() and any of the SDL_hid_open_*() functions if it is needed. This function should be called at the beginning of execution however, if there is a chance of HIDAPI handles being opened by different threads simultaneously.

Each call to this function should have a matching call to SDL_hid_exit()

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError() for more information.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_hid_exit(3)